Bug 1417751 - [RFE] Ability to use custom Hostnames as nodenames with CloudProvider integrations.
Summary: [RFE] Ability to use custom Hostnames as nodenames with CloudProvider integra...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Bradley Childs
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 21:40 UTC by Ryan Howe
Modified: 2020-03-11 15:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 17:13:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ryan Howe 2017-01-30 21:40:03 UTC
Description of problem:


Version-Release number of selected component (if applicable):
OpenShift 3.4+ 

Steps to Reproduce:
1. Install on AWS,GCE,AZURE.or OpenStack setting openshift_hostname to internal custom value.

2. Configure Cloudprvider for cluster

3. Use dynamic storage feature 

Actual results:
Fails due the openshift_hostname != instance_id  

Expected results:
Ability to use these cloud features with nodes names set to a custom hostnames.  


Additional info:

  We would like a method of keeping our node's defined to their hostname (node1.example.com) while being able to integrate with dynamic EBS provisioning or other provisioning features on other infrastructures.

Comment 2 Jan Safranek 2017-02-01 15:52:31 UTC
We won't make new RFEs in OSE 3.5

Comment 3 Bradley Childs 2017-02-07 17:13:48 UTC
I'm moving the RFE to trello for planning & prioritization.

https://trello.com/c/sRdveihS/421-ability-to-use-custom-hostnames-as-nodenames-with-cloudprovider-integrations


Note You need to log in before you can comment on or make changes to this bug.